package com.ruoyi.system.service.other;

import com.ruoyi.system.domain.other.Labels;
import com.ruoyi.system.domain.other.LabelsExample;
import com.ruoyi.system.service.BaseService;

import java.util.List;
import java.util.Map;

public interface LabelsService extends BaseService<Labels, LabelsExample> {

    List<Labels> getWgdxList(String code);

    String getName(String code);

    String getCode(String name);

    List<Labels> getBsCommonMap();

    Map<String, String> getMapByCodes(List<String> codes);
}